Bug 1848583 - Scheduler revision pruner requests no resources, can get OOMKilled
Summary: Scheduler revision pruner requests no resources, can get OOMKilled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Mike Dame
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On: 1800609
Blocks: 1799079
TreeView+ depends on / blocked
 
Reported: 2020-06-18 14:46 UTC by OpenShift BugZilla Robot
Modified: 2020-07-07 14:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-07 14:48:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-scheduler-operator pull 256 None closed [release-4.3] Bug 1848583: bump(library-go): Add resource requests to installer/pruner pods 2020-07-12 14:59:10 UTC
Github openshift library-go pull 821 None closed [release-4.3] Bug 1848583: Add resource requests to pruner pod 2020-07-12 14:59:10 UTC
Red Hat Product Errata RHBA-2020:2805 None None None 2020-07-07 14:48:34 UTC

Comment 4 RamaKasturi 2020-06-30 07:03:31 UTC
Verified the bug with the payload below and did not see any OOMKILL of the scheduler revision pods.

[ramakasturinarra@dhcp35-60 cucushift]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.nightly-2020-06-29-084049   True        False         25m     Cluster version is 4.3.0-0.nightly-2020-06-29-084049

per PR https://github.com/openshift/library-go/pull/821/files, checked the request resources of the installer and pruner static pods

[ramakasturinarra@dhcp35-60 cucushift]$ oc get pod -n $ns $podname -o json | jq .spec.containers[0].resources
{
  "limits": {
    "cpu": "150m",
    "memory": "100M"
  },
  "requests": {
    "cpu": "150m",
    "memory": "100M"
  }
}
[ramakasturinarra@dhcp35-60 cucushift]$ ns="openshift-kube-scheduler"
[ramakasturinarra@dhcp35-60 cucushift]$ podname=$(oc get pods -n $ns | grep revision-pruner | head -1 | cut -d " " -f1)
[ramakasturinarra@dhcp35-60 cucushift]$ oc get pod -n $ns $podname -o json | jq .spec.containers[0].resources

{
  "limits": {
    "cpu": "150m",
    "memory": "100M"
  },
  "requests": {
    "cpu": "150m",
    "memory": "100M"
  }
}

[ramakasturinarra@dhcp35-60 cucushift]$ oc get pod -A | grep -E -v 'Running|Completed'
NAMESPACE                                               NAME                                                                  READY   STATUS      RESTARTS   AGE

Based on the above moving the bug to verified state.

Comment 6 errata-xmlrpc 2020-07-07 14:48:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2805


Note You need to log in before you can comment on or make changes to this bug.